### Function

# Handy enum_value_row_name

#### Declaration [src]

    gchar*
    hdy_enum_value_row_name (
      HdyEnumValueObject* value,
      gpointer user_data
    )

#### Description [src]

Returns the name of a `HdyEnumValueObject`.

This is a default implementation of `HdyComboRowGetEnumValueNameFunc` to be used with `hdy_combo_row_set_for_enum()`. If the enumeration has a nickname, it will return it, otherwise it will return its name.

Available since: | 1.0

#### Parameters

`value` | `HdyEnumValueObject`
| The value from the enum from which to get a name.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| Unused user data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gchar*`
| A displayable name that represents `value`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.